<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldCompiler extends JFormField
{
	protected $type = 'Compiler';

	protected function getInput()
	{
		
		
		// Get preset settings
		
		ob_start(); ?>
		
			
		<script>
			jQuery(document).ready(function ($) {
			
			//
		    // Resize Image function
		    //
		    //
		    var template = '<?php echo TEMPLATE;?>';
		   
		   	function getUrlParameters(name) {
		   	    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
		   	    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
		   	        results = regex.exec(location.search);
		   	    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
		   	}
		   	
		   	
		   	var templateId = getUrlParameters('id');
		   	
		   	
		    var compile = function (templateId) {
		    	
	            var primary = $('#jform_params_primary').val();
	    		var secondary = $('#jform_params_secondary').val();
	    		var menubg = $('#jform_params_menubg').val();
	    		var loader = $('#jform_params_loader').val();
	    		var navbar = $('#jform_params_navbar').val();
	    		var basewidth = $('#jform_params_basewidth').val();
	    		var basefontsize = $('#jform_params_baseFontSize').val();
	    		var bootstrap = $('#jform_params_bootstrap').val();
	    		var gutter = $('#jform_params_gutter').val();
	    		var gutterbottom = $('#jform_params_gutterbottom').val();
	    		var basetheme = $('#base-theme li.uk-active a').attr('data-id');
	    		
	    		primary = primary.replace('#','');
	    		navbar = navbar.replace('#','');
	    		secondary = secondary.replace('#','');
	    		loader = loader.replace('#','');
	    		menubg = menubg.replace('#','');
	    		basefontsize = basefontsize.replace('px','');
	    		gutter = gutter.replace('%','');
	    		
	    		url = '../?template='+template+'&tmpl=ajax&function=helper-compiler&primary='+ primary + '&secondary='+ secondary + '&basewidth='+ basewidth + '&menubg='+ menubg + '&loader='+ loader+ '&basefontsize='+ basefontsize + '&bootstrap='+ bootstrap + '&gutter='+ gutter + '&gutterbottom='+ gutterbottom + '&navbar='+ navbar + '&templateid='+ templateId + '&basetheme='+ basetheme;
	    		
	    		$.ajax({
	                url: url,
	                method: 'get',
	                context: document.body,
	                beforeSend: function () {
	                  	jQuery('.compiler').text('Compiling less to css').fadeIn();
	                   	                    
	                },
	                success: function (data) {
	                	$('#compiler-message').html(data).fadeIn();
	                	jQuery('.compiler').text('Finished Compiling Less files.');
	                	
	                	setTimeout(function () {
	                	    jQuery('.compiler').text('Please save your changes before continuing.');
	                	}, 2000);
	                }	
	                
	                	
	            });
	         }; 

		        //
		        // Resize Image function
		        // Uses the image resize function to re-resize the images
		        //
		        $(document).on('click', '.compiler', function() {
		        	compile(templateId);
		        	
		        	return false;
		        });
		        
		     });
	        </script>
		
				
		<a href="#" class="left-offset uk-button-primary uk-button compiler">Click to compile CSS</a>

		<div id="compiler-message"></div>
			
				
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}