<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldGallerysettings extends JFormField
{
	protected $type = 'GallerySettings';

	protected function getInput()
	{
		
		ob_start(); ?>
		<div id="gallery-settings">
			<div class="panel">
				<h3>Gallery Settings</h3>
					<p>The Presto template is able to be used as a standard Joomla template or as a dedicated image gallery. The setting below determines the functioning of this template style. Set this setting to <strong>Use as Gallery</strong> to use this as a gallery or <strong>Use as standard Joomla Template</strong> in order to use it as a standard Joomla template to display standard Joomla content / components.</p>
			</div>
			
			<ul id="gallery-setting" class="uk-subnav-pill uk-subnav">
				<li>
					<a data-id="1" href="#">Use as Gallery</a>
				</li>
				<li>
					<a data-id="0" href="#">Use as standard Joomla Template</a>
				</li>
			</ul>
			<p>Please read the following blog post, <a href="http://www.joomlabamboo.com/blog/how-to-joomla/how-do-you-assign-a-template-to-a-specific-page-in-joomla-3">How to assign a template to a menu item</a>,  to find out more about assigning template styles to specific menu items in Joomla.</p>
		</div>		
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}