<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldItemlayout extends JFormField
{
	protected $type = 'Itemlayout';

	protected function getInput()
	{
		
		if (!defined('TEMPLATE')) {
			define( 'TEMPLATE', basename(dirname(dirname(__FILE__))));
		}
		
		
		
		ob_start(); ?>
		
		<script src="<?php echo JURI::base()?>../templates/<?php echo TEMPLATE ;?>/includes/admin/js/jquery-ui-1.9.2.custom.min.js" type="text/javascript"></script>
		<script src="<?php echo JURI::base()?>../templates/<?php echo TEMPLATE ;?>/includes/admin/js/scripts.js" type="text/javascript"></script>
		
		<script>
			jQuery(document).ready(function ($) {
			
			
				//
		     	// Get layout items for item-layout panel
		     	//
		     	//
		     	
		     	var template = '<?php echo TEMPLATE;?>';
		     	
		     	function getUrlParameters(name) {
		     	    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
		     	    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
		     	        results = regex.exec(location.search);
		     	    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
		     	}
		     	
		     	
		     	var templateId = getUrlParameters('id');
		     	
		     	var getitemlayout = function (templateId) {
		             
		             url = '../?template=' + template + '&tmpl=ajax&function=helper-get-item-layout&templateid=' + templateId;
		    
		             $.ajax({
		                 url: url,
		                 method: 'get',
		                 context: document.body,
		                 
		                 success: function (data) {
		                 
		                     // We need to populate the item layout
		                     // after the items have loaded otherwise they wont sort.
		                     
		                     $('#item-layout').html(data);
		                     
		                     // Unused Items
		                     $( "#edit-layout-area #unused" ).sortable({
		                     	connectWith: "#used",
		                        placeholder: "ui-state-highlight"
		                      }).disableSelection();
		                       
		                     // Used Items
		                     $( "#edit-layout-area #used" ).sortable({
		                         connectWith: "#unused",
		                         placeholder: "ui-state-highlight",
		                         
		                         receive: function (event,ui) {
		                         		
	                         		var used = '#used li';
	                         		var totalgalleries = (jQuery(used).length - 1);
	                         				
	                     			var itemorder = '{';
	                     			
	                     			
	                     				$(used).not('.ui-state-highlight').each(function(i) {
	                     					
	                     					var name = $(this).attr('id');
	                     					
	                     					if(name !=="undefined") { 
	                     						
	                     						itemorder += '"'+ i + '":"'+name+'"';
	                     						
	                     						if (i !== totalgalleries) {
	                     						    itemorder += ',';
	                     						}
	                     					}
	                     				});
	                     				
	                     			itemorder += '}';
	                     			
	                     	       url = '../?template=' + template + '&tmpl=ajax&function=helper-save-layout&content=' + itemorder+'&templateid=' + templateId;
	                     			
	                     	       $.ajax({
	                     	            url: url,
	                     	            method: 'get',
	                     	            context: document.body	                     	
	                     	        });
		                     	      
		                         },
		                         stop: function (event,ui) {
		                             		
                             		var used = '#used li';
                             		var totalgalleries = (jQuery(used).length - 1);
                             				
                         			var itemorder = '{';
                         			
                         			
                         				$(used).not('.ui-state-highlight').each(function(i) {
                         					
                         					var name = $(this).attr('id');
                         					
                         					if(name !=="undefined") { 
                         						
                         						itemorder += '"'+ i + '":"'+name+'"';
                         						
                         						if (i !== totalgalleries) {
                         						    itemorder += ',';
                         						}
                         					}
                         				});
                         				
                         			itemorder += '}';
                         			
                         	        url = '../?template=' + template +'&tmpl=ajax&function=helper-save-layout&content=' + itemorder +'&templateid=' + templateId;
                         	
                         	        $.ajax({
                         	            url: url,
                         	            method: 'get',
                         	            context: document.body,
                         			});
		                         	      
		                           },
		                        }).disableSelection();
		                     
		                	 },
		     
		            	 });
		            	 
		      		};
		      		
		      		
		      		
				getitemlayout(templateId);
				
				
				
		 });
		 </script>
		
		
		<div id="edit-layout-area">
			<div class="panel">
				<h3>Item Layout</h3>
				<p>The following settings determine the layout for each item in your gallery. Drag the items below into the square to create your desired layout for items in your gallery. For example to create a layout where the title and image are displayed in the gallery drag the title and image block to the Drag Items here area.</p>
				</div>
				<h3>Available Items</h3>
				<div id="item-layout">
				
				</div>							
			
		</div>
			
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}