<?php

defined('JPATH_PLATFORM') or die;

class JFormFieldZenLayout extends JFormFieldList
{

	public $type = 'Zenlayout';

	// icons

	protected function getInput()
	{
		// Initialize variables.
		if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
		
		if (!defined('TEMPLATE')) {
			define( 'TEMPLATE', basename(dirname(dirname(__FILE__))));
		}
		
		
		jimport('joomla.filesystem.folder');
		$path		= JPATH_ROOT.DS.'templates/'.TEMPLATE.'/tpls/layout/';

		$files = JFolder::files($path,'', false, false );
		
		$options = '<ul style="display:none" id="layouts">';
		
		foreach ($files as $key => $layout)
		{
			
			$options .= '<p>';
			$options .= '<a data-id="'.$layout.'" href="#'.$layout.'">';
			$options .= JFile::stripExt($layout);
			$options .= '</a>';
			$options .= '</p>';
		}	
		
			$options .= '</ul>';	


		return $options;

	}
	
	function getLabel()
	{
		return '';
	}
}						