<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}

include (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php');

jimport('joomla.filesystem.folder');

$jinput = JFactory::getApplication()->input;
$gallery = $jinput->get('gallery');
$templateId = $jinput->get('templateid');
$imagepath = JPATH_ROOT.'/media/presto-gallery/cache/images/';
$fileName = JPATH_ROOT.'/templates/'.TEMPLATE.'/galleries/'.$gallery.'_'. $templateId .'.json';
$content = gallery::get_gallery_content($gallery,$templateId);

unset($missing);
$missing = array();
$originalmissing = array();
$missingfiles = 0;
$originalmissingfiles=0;
$allimages = array();

if(!empty($content->images)) {
	$allimages = $content->images;
}


$fileExists = 0;
$partial = JURI::root('true');

foreach($allimages as $resized) {
	
	// Check for original images
	$original = str_replace($partial, '', $resized->image);
	$original = JPATH_ROOT.'/'.$original;
	

	$originalExists = JFile::exists($original);
	
	if(!$originalExists) {
		$originalmissingfiles = 1;
		$originalmissing[] = $resized->title;
	}
	else {
		// Check for resized images
		$images = $resized->resized;
		$images= explode('|', $images);
		
		foreach($images as $key => $img) {
			$img = basename($img);
			$img = $imagepath.$img;
			
			if($key == 5) {
				$fileExists = JFile::exists($img);
			}
		}
		
		if(!$fileExists) {
			$missingfiles = 1;
			$missing[] = $resized->title;
		}
	}
}
	
	
	$originalmissing = array_unique($originalmissing);
	$originalcount = count($originalmissing);
	
	
	if($originalmissingfiles) {
			echo '<div class="alert"><p><strong>Warning:</strong> There are '. $originalcount.' missing images in this gallery. <br/>Please review the information below.</p>';
			echo '<ul id="original-missing-images" style="display:none">';
			foreach($originalmissing as $file) {
				echo '<li> -<span>'.$file.'</span></li>';
			}
			echo '</ul></div>';?>
			
			<script>
				jQuery(document).ready(function ($) {
				
					$('.original-missing-images-alert').remove();
	
					$("#original-missing-images li").each(function(i) {
						
						var image = $(this).find('span').text();
					
						
						$('#gallery-images .title').each(function() {
							if($(this).val() == image) {
								
								$(this).parent().parent().prepend('<div class="original-missing-images-alert"><p class="alert"><strong>Warning:</strong> This image can not be found.<br /> Remove it using the x icon below and then re-add it to your gallery.</p></div>').addClass('missing');
							}
						});
						
					});
				});		
			</script>
		<?php }
	
	
	$missing = array_unique($missing);
	$count = count($missing);
	
	if($missingfiles) {
		echo '<div class="alert"><p><strong>Warning:</strong> There are '. $count.' images in this gallery with missing assets. <br/>Please review the information below.</p>';
		echo '<ul id="missing-images" style="display:none">';
		foreach($missing as $file) {
			echo '<li> -<span>'.$file.'</span></li>';
		}
		echo '</ul></div>';?>
		
		<script>
			jQuery(document).ready(function ($) {
			
				$('.missing-images-alert').remove();

				$("#missing-images li").each(function(i) {
					
					var image = $(this).find('span').text();
				
					
					$('#gallery-images .title').each(function() {
						if($(this).val() == image) {
							
							$(this).parent().parent().prepend('<div class="missing-images-alert"><p class="alert">This image has missing assets. <br/>Please use the refresh icon below and then save the gallery.</p></div>');
						}
					});
					
				});
			});		
		</script>
	<?php }