<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.filesystem.folder');

$folder = JRequest::getVar('folder');

$path = JPATH_ROOT.'/images/'.$folder;

// Allowed filetypes
$allowedExtensions = array('jpg','png','gif');
$allowedExtensions = array_merge($allowedExtensions, array_map('strtoupper', $allowedExtensions));

$filter = implode('|',$allowedExtensions);
$filter = "^.*\.(" . implode('|',$allowedExtensions) .")$";

//Now we read all jpg files and put them in an array.
$files = JFolder::files($path,$filter);

$i = 1;

if(!empty($files)) {
	foreach ($files as $key => $file) {
	
		$name = JFile::stripExt($file);
		$name = str_replace('+', ' ', $name);
		$name = str_replace('-', ' ', $name);
		$filename = basename($file);
		
		if(strpos($filename, ' ')) {
			echo '<p>Warning: the file called: <strong>' . $filename . '</strong> contains spaces in the file name and can not be processed by the gallery. Please rename this file using an underscore, hyphen or other character to be able to use this image.</p>';
		}
		
	   	echo '<li class="gallery-item">';
	   	echo '<div class="third"><img data-file="images/'.$folder.'/'.$filename.'" class="uk-thumbnail" src="images/'.$folder.'/'.$file.'" data-title="'.$file.'" alt="'.$file.'"/>';
	   	echo '<p class="toolbar"><a class="remove" href="#none"><span class="icon-remove"></span></a>';
	   	echo '<a href="#none" class="favourite"><span class="icon-heart"></span></a>';
	   	echo '<a href="#none" class="refresh-images"><span class="icon-refresh"></span></a></p></div>';
	   	echo '<div class="two-thirds">';
	   	echo '<input class="title" value="'.$name.'"/>';
	   	echo '<textarea class="description" placeholder="Description" value=""></textarea>';
	   	echo '<input class="date" placeholder="Date" value=""/>';
	   	echo '<input class="author" placeholder="Author" value=""/>';
	   	echo '<input class="link_title" placeholder="Link Title" value=""/>';
	   	echo '<input class="link" placeholder="Link" value=""/>';
	   	echo '<input class="resized" placeholder="resized images" value=""/>';
	   	echo '<input class="featured" value="0"/>';
	   	echo '</div></li>';
	   
	   	if($i%3 == 0) {
	   		echo '<div style="float:left;width:100%"></div>';
	   	}
	   
	   $i++;
	}	
}
	else {
		echo '<div class="alert">No images found were found in this folder.</div>';
	}
?>