<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.filesystem.folder');

if (!defined('TEMPLATE')) {
	define( 'TEMPLATE', basename(dirname(__FILE__)));
}

$jinput = JFactory::getApplication()->input;
$templateId = $jinput->get('templateid');

// All Tags
$availableitems = 'templates/'.TEMPLATE.'/settings/available-tags.json';
$allitems = file_get_contents($availableitems);
$allitems = json_decode($allitems,true);


if (JFile::exists('templates/'.TEMPLATE.'/settings/item-layout_'. $templateId.'.json')) {
	$itemlayout = 'templates/'.TEMPLATE.'/settings/item-layout_'. $templateId.'.json';
} else {
	$itemlayout = 'templates/'.TEMPLATE.'/settings/item-layout.json';
}

$used = file_get_contents($itemlayout);
$used = json_decode($used,true); 


$unused = array_diff($allitems, $used);

?>


<ul id="unused" class="connectedSortable2">
	<?php foreach ($unused as $item) { ?>
	<li id="<?php echo $item;?>"><?php echo ucfirst($item);?></li>
	<?php } ?>
</ul>
<div class="clearfix"></div>

<h3>Drag Items here</h3>
<ul id="used" class="connectedSortable2">
<?php

foreach ($used as $key => $item) {
	echo '<li id="'.$item.'">'.$item.'</span></li>';
}

?>
</ul>