<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Presto Gallery - Ajax Driven template gallery for Joomla
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

?>

	<?php if ($this->countModules('topmenu-1 or topmenu-2 or topmenu-3 or topmenu-4')) : ?>
		<div id="topwrap">
			<div class="container">
				<div class="row">
					<?php if ($this->countModules('topmenu-1')) : ?>
						<div id="topmenu-1" class="span_<?php echo $top_widths;?>">
							<jdoc:include type="modules" name="topmenu-1" style="xhtml" />
						</div>
					<?php endif;?>
					<?php if ($this->countModules('topmenu-2')) : ?>
						<div id="topmenu-2" class="span_<?php echo $top_widths;?>">
							<jdoc:include type="modules" name="topmenu-2" style="xhtml" />
						</div>
					<?php endif;?>
					<?php if ($this->countModules('topmenu-3')) : ?>
						<div id="topmenu-3" class="span_<?php echo $top_widths;?>">
							<jdoc:include type="modules" name="topmenu-3" style="xhtml" />
						</div>
					<?php endif;?>
					<?php if ($this->countModules('topmenu-4')) : ?>
						<div id="topmenu-4" class="span_<?php echo $top_widths;?>">
							<jdoc:include type="modules" name="topmenu-4" style="xhtml" />
						</div>
					<?php endif;?>
				</div>
			</div>
		</div>
	<?php endif;?>
	
	
	<?php if($useGallery) {
	
			$galleries = gallery::getfirstimage($templateId);
			
			?>
			<ul id="menu">
				<?php if($frontpage !=="home-first-gallery") {?>
					<li class="home active span_12"><h4><a href="#home"><?php echo $this->params->get("home_menu_text", 'Home');?></a></h4></li>
				<?php } ?>
			
				<?php // Gets Published galleries and populates the menu 
		
				if(is_array($galleries)) {
					foreach($galleries as $key => $item) { 
						
						$private = $item['private'];
						
						if (($private && !$hide_first_image) || !$private) {
						
							$activeitem = 0;
							$id = $item['id'];
							$dataid = str_replace(" ", "-", $item['name']); 
							$name = ucfirst($item['name']);
							$name = str_replace('-', ' ', $name);
							$private = $item['private'];
							
							if($key == 0) {
								$start_gallery = $dataid;
								$activeitem = 1;
							}
							
							$image = explode('|', $item['image']);
							$image = $image[6]; 
							
						?>
						
						<li class="<?php if($activeitem === 1) {?>active<?php }?>" id="<?php echo $id;?>" data-gallery="<?php echo $id;?>" data-id="<?php echo $dataid;?>">
							<h4>
								<a href="#!<?php echo $dataid;?>">
									<?php if($displaythumbs) {?>
										<img src="<?php echo $image;?>" alt="<?php echo $name;?>" />
									<?php } ?>
									
									<?php echo $name;?>
								</a>
							</h4>
						</li>
				
						<?php }
					}
				} ?>
			</ul>
			<div class="clearfix"></div>
	<?php } ?>
	<?php if ($this->countModules('belowmenu-1 or belowmenu-2 or belowmenu-3 or belowmenu-4')) : ?>
		<div id="topwrap">
			<div class="container">
				<div class="row">
					<?php if ($this->countModules('belowmenu-1')) : ?>
						<div id="belowmenu-1" class="span_<?php echo $below_menu_widths;?>">
							<jdoc:include type="modules" name="belowmenu-1" style="xhtml" />
						</div>
					<?php endif;?>
					<?php if ($this->countModules('belowmenu-2')) : ?>
						<div id="belowmenu-2" class="span_<?php echo $below_menu_widths;?>">
							<jdoc:include type="modules" name="belowmenu-2" style="xhtml" />
						</div>
					<?php endif;?>
					<?php if ($this->countModules('belowmenu-3')) : ?>
						<div id="belowmenu-3" class="span_<?php echo $below_menu_widths;?>">
							<jdoc:include type="modules" name="belowmenu-3" style="xhtml" />
						</div>
					<?php endif;?>
					<?php if ($this->countModules('belowmenu-4')) : ?>
						<div id="belowmenu-4" class="span_<?php echo $below_menu_widths;?>">
							<jdoc:include type="modules" name="belowmenu-4" style="xhtml" />
						</div>
					<?php endif;?>
				</div>
			</div>
		</div>	
	<?php endif;?>