<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Presto Gallery - Ajax Driven template gallery for Joomla
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */


?>
<!-- This is an anchor toggling the off-canvas sidebar -->
<a href="#off-canvas" id="offcanvas-trigger" class="menu-trigger btn btn-primary"><span class="icon-menu"></span><?php echo $menutrigger;?></a>

<?php if($menu_type == "offcanvas" && $this->countModules('logo')) : ?>
	<div id="logo" class="offcanvas">
		<jdoc:include type="modules" name="logo" style="xhtml" />
	</div>
	<div class="clearfix"></div>
<?php endif;?>

<!-- This is the off-canvas sidebar -->
<div id="off-canvas" class="closed">
    <div class="off-canvas-content padding">
    
    		
    	
  		  <?php if($menu_type == "offcanvas") {
  		  	include $layout_path .'menu.php'; 
  		  	} ?>
  		  
  		  
  		  <?php if ($this->countModules('offcanvas')) : ?>
  		  	<div id="logo">
  		  		<jdoc:include type="modules" name="offcanvas" style="xhtml" />
  		  	</div>
  		  	<div class="clearfix"></div>
  		  <?php endif;?>	
  	
    </div>
</div>

<div id="off-canvas-overlay" class="hide"></div>

<script>
jQuery(document).ready(function($) {
	
	$('#offcanvas-trigger,#off-canvas-overlay').click(function() {
		$('#off-canvas').toggleClass('closed'); 
		$('#page-wrap').toggleClass('off-canvas-active'); 	
  		return false;
	});
	
	$('.off-canvas-content a').click(function() {
		
		if(!$('#offcanvas').hasClass('closed')) {	
			$('#off-canvas').toggleClass('closed');
			$('#page-wrap').removeClass('off-canvas-active'); 
		};
		
	});
	
});
</script>