<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}

include_once  (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php');
include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/logic.php');
$templateId  = $app->getTemplate('template')->id;

$galleries = gallery::getfirstimage($templateId);
		
?>			
	<div id="slide-nav">
		<a class="prev"><span class="icon-left-open"></span></a>
		<a class="next"><span class="icon-right-open"></span></a>	
	</div>
	
	<?php 	if(is_array($galleries)) {
			
				foreach ($galleries as $key => $gallery) { 
				
				$private = $gallery['private'];
				
				if (($private && !$hide_first_image) || !$private) {
					?>
						<div class="gallery-title title-<?php echo $key;?> home">
							<h2><a href="<?php echo JURI::current();?>#!<?php echo $gallery['name'];?>"><?php echo str_replace('-', ' ', $gallery['name']);?></a></h2>
						</div>
		<?php		}
				}
			}
	 ?>
	


<div id="fullscreen-thumbs">
	<ul>
		<?php if(is_array($galleries)) {
				
				// Variable used to reset the key to match filtered array
				$flag = "";
				
				foreach ($galleries as $gallery) { 
					
					$private = $gallery['private'];
					
					if (($private && !$hide_first_image) || !$private) {
					
						if(!isset($key)) { $flag = 0; }
						
						$images = $gallery['image'];
						$image = explode('|', $images);
						$thumb = $image[6]; ?>
					
						<li id="<?php echo $flag;?>" ><img src="<?php echo $thumb;?>"></a></li>
					
				<?php 	$flag = $flag + 1;
					}
				}
			} 
		?>
	</ul>
</div>
<div id="fullscreen"></div>
<script>
	
	jQuery(document).ready(function ($) {
	
	$(document).ajaxComplete(function(){
		
		$('html').addClass('fullscreen');
		
		var windowHeight = $(window).height();
		var windowWidth = $(window).width();
		$('#fullscreen').height(windowHeight).width(windowWidth);
		$('#fullscreen-thumbs,#slide-nav').css({"margin-top":windowHeight - 300});
		
		$(window).resize(function () {
		    var windowHeight = $(window).height();
		    var windowWidth = $(window).width();
		    $('#fullscreen').height(windowHeight).width(windowWidth);
		    $('#fullscreen-thumbs,#slide-nav').css({"margin-top":windowHeight - 300});
		});
		
		
		
		$('#fullscreen').backstretch([ 
			
			<?php foreach ($galleries as $image) {
			
				$private = $image['private'];
				
				if (($private && !$hide_first_image) || !$private) {
				
					echo '"';
					echo JURI::base().$image['original'];
					echo '",';
				}
			} ?>
		  ], {duration: 3000, fade: 750});
		  
		  $('.next').click(function() {
		  	$('#fullscreen').backstretch("next");
		  });
		  
		  $('.prev').click(function() {
		  	$('#fullscreen').backstretch("prev");
		  });
		  
		  $(window).on("backstretch.before", function (e, instance, index) {
			    $("#fullscreen-thumbs li").removeClass('active');
			    $("#fullscreen-thumbs li#"+index).addClass('active');
			    $(".gallery-title").removeClass('active');
		  	
		  });
		  
		  $(window).on("backstretch.after", function (e, instance, index) {
		    	$(".gallery-title.title-"+index).addClass('active');
				
		  });
		  
		  $('.gallery-title a,#menu a').click(function() {
				$('#fullscreen').backstretch('destroy');
				$('html').removeClass('fullscreen');
				
		  		window.location.href=this.href;
		  		return false;
		  });
		  
		  
		   $('#fullscreen-thumbs li').click(function() {
		  		var slide = $(this).attr('id');
		  		$('#fullscreen').backstretch("show", slide);
		  });
	});

});
</script>

<div class="container-fix">
	<?php if ($disqus) {
	    include $layout_path . '/disqus.php';
	} ?>
</div>
	 <?php include $layout_path . '/bottom-block.php'; ?>
