<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldCompresser extends JFormField
{
	protected $type = 'Compresser';

	protected function getInput()
	{
		
		
		// Get preset settings
		
		ob_start(); ?>
		
			
		<script>
			jQuery(document).ready(function ($) {
			
			//
		    // Resize Image function
		    //
		    //
		    var template = '<?php echo TEMPLATE;?>';
		   
		   	function getUrlParameters(name) {
		   	    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
		   	    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
		   	        results = regex.exec(location.search);
		   	    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
		   	}
		   	
		   	
		   	var templateId = getUrlParameters('id');
		   	
		   	
		    var compress = function (templateId) {
		    	
	            var homelayout = $('#front-layout li.uk-active a').attr('data-id');
	    		var theme = $('#base-theme li.uk-active a').attr('data-id');
	    		
	    		var lightbox = 0;
	    		
	    		if($('#lightbox-option li.uk-active a').attr('data-id') == '1') {
	    			lightbox = 1;
	    		}
	    		
	    		var layouts = '';
	    		
	    		$('.current-layout').each(function() {
	    			layouts += $(this).text();
	    			layouts += ',';
	    		}); 
	    		

	    		
	    		url = '../?template='+template+'&tmpl=ajax&function=helper-compresser&templateId='+ templateId + '&lightbox='+ lightbox + '&layouts='+ layouts + '&homelayout='+ homelayout + '&theme='+ theme;
	    		
	    		$.ajax({
	                url: url,
	                method: 'get',
	                context: document.body,
	                beforeSend: function () {
	                  	jQuery('.compresser').text('Compiling and compressing scripts').fadeIn();
	                   	                    
	                },
	                success: function (data) {
	                	$('#compiler-message').html(data).fadeIn();
	                	jQuery('.compresser').text(data + 'All files for this gallery have been compressed').fadeOut(30000, function() {
	                		jQuery('.compresser').text('Click to update javascript').fadeIn();
	                	});
	                }
	            });
	         }; 

		        //
		        // Resize Image function
		        // Uses the image resize function to re-resize the images
		        //
		        $(document).on('click', '#compresser,.layout-menu a,#front-layout a,.compresser', function() {
		        	compress(templateId);
		        	
		        	return false;
		        });
		        
		     });
	        </script>
		
		<div id="compress-tool">
			<div class="uk-panel uk-panel-box">
				<h3>Compress Javascript</h3>
				<p>All relevant javascript files are combined and compress automatically during the creation of your galleries however if you need to retrigger the creation of these files you can press the button below.</p>		
				<a href="#" class="compresser uk-button-primary uk-button" id="compresser">Click to compress javascript</a>
			</div>
			
			<div class="uk-panel uk-panel-box">
				<h3>Compile Less to CSS</h3>
				<p>This option compiles thew relevant less files based on your template settings under the style tab. This is a duplicate of the button found there.</p>
				<a href="#" class="uk-button-primary uk-button compiler">Click to compile CSS</a>
			</div>
		</div>
		
			
				
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}