<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldTools extends JFormField
{
	protected $type = 'tools';

	protected function getInput()
	{
	
	if (!defined('TEMPLATE')) {
		define( 'TEMPLATE', basename(dirname(dirname(__FILE__))));
	}
	
		
	ob_start(); ?>
		
		
	<script>
		jQuery(document).ready(function ($) {
			
			var template = '<?php echo TEMPLATE;?>';
			
			// Remove all cached images
			$('#delete-cached').live('click',function () {
			  	delete_all_images();
			   	
			   	return false;
			});
			
			
			$('#save-to-file').live('click',function () {
			  	save_to_file();
			   	
			   	return false;
			});
			    
			var delete_all_images = function () {
		   	        
		      url = '../?template=' + template  +'&tmpl=ajax&function=helper-images-delete';
		   
		      $.ajax({
		         url: url,
		         method: 'get',
		         context: document.body,
		         
		         
			     success: function (data) {
			         $('#delete-all a').fadeOut();
			         
			         $('#delete-message').html('<p class="alert alert-success">All cached images deleted.</p>').fadeIn().delay(2000).fadeOut('slow', function() {
			         		$('#delete-all a').fadeIn();
			         });
			         
			     },
		      });
		    };  
		    
		    
		    var save_to_file = function () {
		    	        
		       url = '../?template=' + template +'&tmpl=ajax&function=helper-gallery-save-to-file';
		    
		       $.ajax({
		          url: url,
		          method: 'get',
		          context: document.body,
		          
		          
		    	     success: function (data) {
		    	         $('#delete-all a').fadeOut();
		    	         
		    	         $('#delete-message').html('<p class="alert alert-success">All cached images deleted.</p>').fadeIn().delay(2000).fadeOut('slow', function() {
		    	         		$('#delete-all a').fadeIn();
		    	         });
		    	         
		    	     },
		       });
		     };  	
		 });
		 </script>
		 
		
			<div id="tools" class="uk-panel uk-panel-box">
				<h3 class="first">Delete All cached images</h3>
				<p>In some cases you may need to remove all cached images that the gallery has created. <br />Cached images are saved to the media/presto-gallery/cache/images folder.</p>
				<p>Please note: Any resized / cached images will be removed from the media/presto-gallery folder and you will need to refresh your images after clicking this button.</p>
				<a href="#" id="delete-cached" class="uk-button-primary uk-button">Delete all cached images</a>
				<div id="delete-message" class="hide"></div>
			</div>
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}