<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldWarnings extends JFormField
{
	protected $type = 'Warnings';

	protected function getInput()
	{
		
		ob_start(); ?>
		<div id="warning-settings">
			<div class="panel">
				<h3>Gallery Settings</h3>
				<p>The following options determine the language strings for a selection of warnings and text strings that appear in the template.</p>
			</p>
			</div>
			
			<div style="float:left;width:45%">
					<h3>Menu trigger text</h3>
					<input class="uk-form-large uk-form-width-large" id="menu-trigger-text" value="" placeholder="">
				</div>
				
				<div style="float:left;width:45%">
					<h3>Home Menu Text</h3>
					<input class="uk-form-large uk-form-width-large" id="home-menu-text" value="" placeholder="">
				</div>
				
				<div style="float:left;width:45%">
					<h3>Private Gallery Text</h3>
					<input class="uk-form-large uk-form-width-large" id="private-gallery-text" value="" placeholder="">
				</div>
				
				<div style="float:left;width:45%">
					<h3>Gallery Not found</h3>
					<input class="uk-form-large uk-form-width-large" id="gallery-not-found-text" value="" placeholder="">
				</div>
				
				<div style="float:left;width:45%">
					<h3>Download text</h3>
					<input class="uk-form-large uk-form-width-large" id="download-text" value="Download Image" placeholder="">
				</div>
		</div>
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}