<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}

// Import Helper
//include (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php');

// Import Joomla file system
jimport('joomla.filesystem.path');


// Import Compile Library
require_once JPath::clean(__DIR__ . '/../compiler/includes/less/compiler.php');

// Jform
$jform = JRequest::getVar('jform');
$params = new JRegistry($jform['params']);
$template = $jform['template'];


// Retrieve current variables via ajax
$jinput = JFactory::getApplication()->input;
$primary = '#' . $jinput->get('primary');
$secondary = '#'.$jinput->get('secondary');
$menubg = '#'.$jinput->get('menubg');
$loader = '#'.$jinput->get('loader');
$basewidth = $jinput->get('basewidth');
$basefontsize = $jinput->get('basefontsize');
$bootstrap = $jinput->get('bootstrap');
$gutter = $jinput->get('gutter') .'%';
$gutterbottom = $jinput->get('gutterbottom');
$navbar = '#'. $jinput->get('navbar');
$templateId = $jinput->get('templateid');
$basetheme = $jinput->get('basetheme');

// Less Basepath
$lessBasePath = JPATH_SITE . '/templates/' . $this->template . '/less';

// Add path variable
$path = JPATH_SITE . '/templates/' . $this->template;


// Variables references
$variables = array(
	"@primary"						=> $primary,
	"@menubg"						=> $menubg,
	"@loader"						=> $loader,
	"@basewidth"					=> $basewidth,
	"@baseFontSize"					=> $basefontsize,
	"@gutter"					=> $gutter,
	"@gutterbottom"					=> $gutterbottom,
	"@navbarbg"					=> $navbar,
	"@secondary"					=> $secondary
);

$files = array('theme.less');

if($bootstrap) {
	//$files[] = 'bootstrap/bootstrap.less';
}

$files[] = 'themes/'.$basetheme.'.less';

$filesToCompile = array(
	'theme-'.$templateId.'.css' => $files,
);


$params->inputPath = $path . '/less/';
$params->outputPath = $path . '/css/';
$params->variables = $variables;
$params->filesToCompile = $filesToCompile;
$params->compressedMode = 1;
$params->tmpPath = '';

$compiler = new ZenLessCompiler($params);
$compiler->run();