<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.filesystem.folder');

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}


$jinput = JFactory::getApplication()->input;
$templateId = $jinput->get('templateid');

$gallery_path = 'templates/'.TEMPLATE.'/settings/gallery-order-'. $templateId .'.json';

if(file_exists($gallery_path)) {
	$galleries = file_get_contents($gallery_path);
	
	$galleries = json_decode($galleries); 
	
	
	// Get list of layouts
	$layoutpath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/tpls/layout/';
	$files = JFolder::files($layoutpath,'', false, false );
	$options ='';
	$options .= '<h3>Select gallery layout</h3>';
	foreach ($files as $key => $layout)
	{
		
		if($layout !=="index.html") {
			$options .= '<p>';
			$options .= '<a data-id="'.JFile::stripExt($layout).'" href="#'.$layout.'">';
			$options .= JFile::stripExt($layout);
			$options .= '</a>';
			$options .= '</p>';
		}
	}	
	
	

	foreach ($galleries as $key => $file) {
		
		$name = str_replace('-', ' ', $file->name);
		$id = str_replace(' ', '-', $file->name);
		
		$access = "";
	
		if(!isset($file->layout)) {
			$file->layout = "grid";
		}
		
		if($file->private) {
			$access = "active";
		}
		
		$featured = "";
		
		if($file->featured) {
			$featured = "active";
		}
		
		echo '<li id="'.$id.'"><span class="edit icon-edit"></span><span class="title edit">'.$name.'</span><span class="lock icon-lock '.$access.'"></span> <span class="feature-gallery '.$featured.' icon-heart"></span>';
		echo '<a href="#layout-menu" class="layout-toggle"><span class="icon-layout"></span><span class="current-layout">'.$file->layout.'</span></a>
		
		<div class="layout-menu" style="display:none">
		  	<a href="#close" class="close-layout-menu"><span class="icon-remove"></span></a>
		    <div>'. $options.'</div>
		</div>';
		echo '<span class="delete icon-delete"></span>';
		echo '<div class="current-details debug">'.$name.'|'.$file->private.'|'.$file->featured.'|'.$file->layout.'</div></li>';
	}
}
else {
	echo '<p class="uk-alert">Start creating a gallery by clicking the Add new gallery button above.</p>';
}

?>