<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

if (!defined('TEMPLATE')) {
    define('TEMPLATE', basename(dirname(__FILE__)));
}

include(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/helpers/galleryhelper.php');
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

$jinput = JFactory::getApplication()->input;
$gallery = $jinput->get('gallery', '', 'RAW');
$templateId = $jinput->get('templateid', '', 'RAW');
$id = $jinput->get('id', '', 'RAW');

if($id !=="undefined") {
	$id = str_replace('gallery-', '', $id);
	$access = gallery::get_user();
	$featured = gallery::isFeatured($id, $templateId);
	$details = gallery::get_galleries(false, $templateId);


	// Because of the way that we are loading the ajax content we
	// Need to get the settings for the specific template style being used
	// Get a db connection.
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query->select($db->quoteName(array('params')));
	$query->from($db->quoteName('#__template_styles'));
	$query->where($db->quoteName('id') . ' = ' . $templateId);
	$db->setQuery($query);
	$results = $db->loadObjectList();
	$results = $results[0];
	
	// Create params object
	$params = json_decode($results->params);
	$settings = $params->settings;
	
	$settings = explode('|', $settings);
	$menu_type = $settings[0];
	$hide_first_image = $settings[1];
	$frontpage = $settings[2];
	$menutrigger = $settings[3];
	$displaythumbs = $settings[4];
	$base_theme = $settings[6];
	$lightbox = $settings[7];
	$imagestyle = $settings[8];
	$useGallery = $settings[9];
	$lightboxelements = $settings[10];

	$download_text = $params->download_text;
	$facebook = $params->facebook;
	$gplus = $params->gplus;
	$twitter = $params->twitter;
	$twitter_name = $params->twitter_name;
	$pinterest = $params->pinterest;
	
	// Set default variables for lightbox settings
	$lb_title = false;
	$lb_description = false;
	$lb_author = false;
	$lb_date = false;
	$lb_pinterest = false;
	$lb_facebook = false;
	$lb_twitter = false;
	$lb_gplus = false;
	$lb_download = false;
	$lb_link = false;
	
	
	// Check if lightbox is active and then parse through
	if($lightbox) {
	
		$lightboxelements = explode('-', $lightboxelements);
		
		foreach ($lightboxelements as $key => $element) {
		
			if($element !=="") {
				$$element = true;
			}		
		}
	}
	
	
		if (is_array($details) && array_key_exists($id, $details)) {
		    $layout = $details[$id]->layout;
		
		    if ($layout == "") {
		        $layout = "grid-2";
		    }
		
			// Defined again because the functions.php doesnt get picked up when using ajax
		    $layout_path = JPATH_THEMES . '/' . $this->template . '/tpls/blocks/';
		
		    include JPATH_THEMES . '/' . $this->template . '/tpls/layout/' . $layout . '.php';
		} 
	}
else {
    ?>
	<h1><?php echo $this->params->get("gallery_not_found"); ?></h1>
<?php } ?>