<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}

jimport('joomla.filesystem.folder');

$jinput = JFactory::getApplication()->input;
$gallery_url = $jinput->get('gallery_url','','RAW');
$ids = $jinput->get('ids','','RAW');
$sitemap_path = JPATH_SITE . '/templates/' . $this->template.'/sitemaps/';
$galleries = explode(',', $ids);


$content = '<?xml version="1.0" encoding="UTF-8"?>';
$content .= '<urlset'."\r\n";
$content .= 'xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"'."\r\n";
$content .= 'xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"'."\r\n";
$content .= 'xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9'."\r\n";
$content .= 'http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">'."\r\n";;


foreach ($galleries as $key => $gallery) {
	
	
	if($gallery !=="") {
		$gallery = explode('-', $gallery);
		
		$details = JPATH_SITE . '/templates/' . $this->template.'/settings/gallery-order-'. $gallery[0] .'.json';
		
		$gallery_url = $gallery[1];
		$galleries = JFILE::read($details);
		
		$galleries = json_decode($galleries);

		foreach ($galleries as $key => $gallery) {
			$content .= '	<url>'."\r\n";
			$content .= '	   <loc>'.$gallery_url.'#!'. $gallery->name .'</loc>'."\r\n";
			$content .= '	   <changefreq>weekly</changefreq>'."\r\n";
			$content .= '	   <priority>0.5</priority>'."\r\n";
			$content .= '	</url>'."\r\n";
		}
	}
}

$content .= '</urlset>';

JFile::write($sitemap_path.'sitemap.xml', $content);

echo $sitemap_path.'sitemap.xml';
 ?>