<?php defined('_JEXEC') or die;

/* =====================================================================
Template:	Presto Gallery - Ajax Driven template gallery for Joomla
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */


$bodyfont = $this->params->get('bodyFont');
$headingfont = $this->params->get('headingFont'); 
$navfont = $this->params->get('navFont'); 
$logofont = $this->params->get('logoFont'); 
?>

<style type="text/css">
<?php 
	if($bodyfont == "-1") { ?>
			html > body {
				font-family: <?php echo zen::cleanFonts($this->params->get('bodyFont_custom')) ?>;
				font-weight: <?php echo $this->params->get('bodyfontweight') ?>	
				
			}
	<?php } else { ?>
			html > body {
				font-family: <?php echo $bodyfont ?>;
				font-weight: <?php echo $this->params->get('bodyfontweight') ?>
			}
	<?php } 

		if($headingfont == "-1") { 
			?>
			h1, h2, h3, h4, h5, h6, blockquote {
				font-family: <?php echo zen::cleanFonts($this->params->get('headingFont_custom')) ?>;
				font-weight: <?php echo $this->params->get('headingfontweight') ?>
			}
	<?php } else {  ?>
			h1, h2, h3, h4, h5, h6, blockquote {
				font-family: <?php echo $headingfont ?>;
				font-weight: <?php echo $this->params->get('headingfontweight') ?>
			}
	<?php } ?>
	
	<?php  if($navfont == "-1") { 
				?>
				#menu li a {
					font-family: <?php echo zen::cleanFonts($this->params->get('navFont_custom')) ?>;
					font-weight: <?php echo $this->params->get('navfontweight') ?>
				}
	<?php } else {  ?>
				#menu li a  {
					font-family: <?php echo $navfont ?>;
					font-weight: <?php echo $this->params->get('navfontweight') ?>
			}
	<?php } ?>
		
	<?php  if($logofont == "-1") { 
				?>
				#logo h2 {
					font-family: <?php echo zen::cleanFonts($this->params->get('logoFont_custom')) ?>;
					font-weight: <?php echo $this->params->get('logofontweight') ?>
				}
	<?php } else {  ?>
				#logo h2  {
					font-family: <?php echo $logofont ?>;
					font-weight: <?php echo $this->params->get('logofontweight') ?>
				}
	<?php } ?>
</style>