<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Presto Gallery - Ajax Driven template gallery for Joomla
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

// Following settings are set for the base template
$templateId  = $app->getTemplate('template')->id;

// Parse the gallery settings
$themesettings = gallery::getThemeSettings($this->params->get("settings",'top|1|home-grid|Menu|1|980px|light|1|border|1|title|none'));


// Get lightbox setting
$lightbox = $themesettings[7];

// Get lightbox elements
$lightboxelements = $themesettings[10];

// Set default variables for lightbox settings
$lb_title = false;
$lb_description = false;
$lb_author = false;
$lb_date = false;
$lb_pinterest = false;
$lb_facebook = false;
$lb_twitter = false;
$lb_gplus = false;
$lb_download = false;
$lb_link = false;


// Check if lightbox is active and then parse through
if($lightbox) {

	$lightboxelements = explode('-', $lightboxelements);
	
	foreach ($lightboxelements as $key => $element) {
	
		if($element !=="") {
			$$element = true;
		}		
	}
}

// Check if Gplus is enabled for lightbox or social icons
$gplus = $this->params->get("gplus", '0');

if($gplus || $lb_gplus) {
	
	// Set gplus active just so its easier int he layouts
	$gplus== 1;
	$doc->addScript('https://apis.google.com/js/platform.js');
}