jQuery(document).ready(function($){
	
	// Loading Bar
	$('#loading').empty().append('<div class="bar-none"></div>');
	
	$("#menu-button").click(function() {
		
		$("body.top,html").animate({ scrollTop: 0 }, 600);
		
		if ($(document).scrollTop() < 20) {
			$('#gallery-list').slideToggle();
		}
		
		else {
			$('#gallery-list').slideDown();
		}
		
	});
	
	$(".bottom #menu-button").click(function() {
		$(this).addClass('open');
	});
	
	$(".bottom #menu-button.open").click(function() {
		$('#gallery-list').slideDown();
		$(this).removeClass('open');
	});
	
	
	// Sets minimum height of window
	var window_height = $(window).height();
	var bottom_height = $('#bottomarea').height();
	
	$('#gallery:not(.split #gallery,.fullscreen #gallery)').css('min-height', window_height - bottom_height - 140);
	
	$("#off-canvas a").click(function () {
		
		$(".uk-offcanvas-bar").removeClass('uk-offcanvas-bar-show');
		
		$("html").removeClass('uk-offcanvas-page').css({"margin-left": 0});
		
		setTimeout(function() {
			$("#off-canvas").removeClass('uk-active');
		}, 300)
		
	});
	
	
	$(document).on("#menu li a,.next-gallery,.prev-gallery", 'click', function () {
		$('#gallery-list').css('opacity',0.3);		
	});	
	
	
	
	// Responsive breakpoints
	Response.create({ mode: 'src',  prefix: 'src', breakpoints: [481,767,1025,1280,5000] });

	// Start Gallery
	var start_gallery = jQuery("body").attr('id');
	
	// Since the event is only triggered when the hash changes, we need to trigger
	// the event now, to handle the hash the page may have loaded with.
	$(window).hashchange();
	
	
	$.fn.select_gallery = function(options) {
      
 		// Create some defaults, extending them with any options that were provided
 		var settings = $.extend({
 			path: false,
 			template: false,
 			pinterest: false,
 			twitter: false,
 			twitter_name: 'joomlabamboo',
 			facebook: false,
 			gplus: false,
 			lb_download: false,
 			lb_title: false,
 			lb_description: false,
 			lb_author: false,
 			lb_date: false,
 			lb_link: false
 		}, options);
 		
 		
 		var hash = location.hash;
 			hash = hash.split('#');
 			
 			if(typeof hash[1] === 'undefined') {
 				hash = '';
 			}
 			else {
 				hash = '#' + hash[1];
 			}
 			
 			var comment_check = hash.charAt(1);
 			var isComment = 0;
 			
 			if(comment_check !=="!") {
 				hash = "";
 				iscomment = 1;
 			}
 			
 		var templateId = $('#templateid').html();
		
		if(hash =="#home") {
			var hash = "";
		}
		
		
		
		if(hash !=="") {

 	        var gallery = hash.replace('#!',''); 
 	        
 	        
 	        
 	        if(hash !=="#home") {
 	        	jQuery('body').removeClass('home');
 	        }
 	        
 	       
 	        
 	        jQuery('#menu li').removeClass('active').addClass('ready');
 	        
 	        if(gallery !=="home"){
 			  
 			  	jQuery('#gallery,#bottomwrap').addClass('loading');
 			    var id = jQuery('#menu li[data-id="' + gallery +'"]').attr('id');
 					
 				jQuery('#menu li#' + id +'').addClass('active').removeClass('ready');
 			
 			    // Set the page title based on the hash.
 			    document.title = ( hash.replace(/([~!-@#])+/g, ' ' ) || 'Home' );
 			    
 			   
 			    var url = settings.path + '?template=' + settings.template +'&tmpl=ajax&function=helper-load-images&gallery=' + gallery + '&id=' + id + '&templateid=' + templateId ;
 			

 			    			    
 			    jQuery.ajax({
 			   	    url: url + '&tto=' + (new Date().getTime()),
 			   	    method: 'get',
 			   	    context: document.body,
 			   	    beforeSend: function () {
 			   	       $('#loading').empty().append('<div class="bar"></div>');
 			   	    },
 			   	    success: function (data) {
 			   	       
 			   	       	$('#gallery').hide().html(data);
 			   	       	
 			   	       $('#gallery').imagesLoaded( function() {
 			   	      	  // images have loaded
 			   	      	}).always( function( instance ) {
 			   	      	    
 			   	      	   
 			   	      	    
 			   	      	    $('#loading').empty().append('<div class="bar-none"></div>');
 			   	      	    $('#gallery').fadeIn('slow');
 			   	      	    $('#gallery,#bottomwrap').removeClass('loading');
 			   	      	    Response.create({ mode: 'src',  prefix: 'src', breakpoints: [481,767,1025,1280,5000] });
 			   	      	    
 			   	      	    magnific();
 			   	      	    	
 			   	      	  });
 			   	      },
 			   	});
 	 		}
 	 		 
 	 	}
 	 	
 	 	if(hash ==""){

 			jQuery('#menu li').removeClass('active').addClass('ready');
 			jQuery('#menu li.home').addClass('active');
 			jQuery("#gallery").fadeIn();
 			
 			jQuery('body').addClass('home');
 			jQuery('html, #gallery-type').removeClass('fullscreen');
 			jQuery('#gallery-type').removeClass().attr('data-id', '');
 			
 			jQuery(this).addClass('active');
 			var start_gallery = jQuery("body").attr('id');

 			if(start_gallery == "home-first-gallery") {
 				var gallery= jQuery("#menu li:first-child a").attr("href");
 				var id = $('#menu li').first().attr('id');
 				$('#menu li').first().addClass('active').removeClass('ready');;
 			
 				gallery = gallery.replace('#!','');				
 			
 				document.title = ( hash.replace(/([~!-@#])+/g, ' ' ) || 'Home' );
 				    
 				    var url = '?tmpl=ajax&function=helper-load-images&gallery=' + gallery + '&id=' + id + '&templateid=' + templateId ;
 				 	
 				    jQuery.ajax({
 				   	    url: url + '&tto=' + (new Date().getTime()),
 				   	    method: 'get',
 				   	    context: document.body,
 				   	    beforeSend: function () {
 				   	       $('#loading').empty().append('<div class="bar"></div>');
 				   	    },
 				   	    success: function (data) {
 				   	       
 				   	       	$('#gallery').hide().html(data);
 				   	       	
 				   	       
 				   	       	
 				   	      	$('#gallery').imagesLoaded( function() {
 				   	      	  // images have loaded
 				   	      	}).always( function( instance ) {
 				   	      	    
 				   	      	    $('#loading').empty().append('<div class="bar-none"></div>');
 				   	      	    $('#gallery').fadeIn('slow');
 				   	      	    Response.create({ mode: 'src',  prefix: 'src', breakpoints: [481,767,1025,1280,5000] });
 				   	      	    
 				   	      	    magnific();
 				   	      	    	
 				   	      	  });
 				   	      },
 				   	});
 				   	
 				 	
 			}	
 			
 			else {
 
 				var url = '?tmpl=home&home_layout='+ start_gallery;
 					
 				jQuery.ajax({
 				    url: url + '&tto=' + (new Date().getTime()),
 				    method: 'get',
 				    context: document.body,
 				    beforeSend: function () {
 				       $('#loading').empty().append('<div class="bar"></div>');
 				    },
 				    success: function (data) {
 				       
 				       	$('#gallery').hide().html(data);
 				       	
 				      	$('#gallery').imagesLoaded( function() {
 				      	  // images have loaded
 				      	}).always( function( instance ) {
 				      	    
 				      	    $('#loading').empty().append('<div class="bar-none"></div>');
 				      	    $('#gallery').fadeIn('slow');
 				      	    Response.create({ mode: 'src',  prefix: 'src', breakpoints: [481,767,1025,1280,5000] });
 				      	    
 				      	  });
 				      },
 				});
 			}
 			
 		}    
 				
		// Scrooll action for when a new item is loaded 
		$.doTimeout( 'scroll_to_content', 2000, function(){
			
			var threshold = $("#gallery-list").height();

			if(($(window).width() > 700)) {
			 	
				if ($(document).scrollTop() < threshold) {
				
					$('#gallery-list').slideToggle();
				}
			} 
			
			if(($(window).width() < 700)) {
				$('#gallery-list').slideUp();
			}
			
			$('#gallery-list').css('opacity',1);
		});
		
		
		
		
		function magnific() {
		
			jQuery('.zoom-gallery').magnificPopup({
				delegate: 'a',
				type: 'image',
				closeOnContentClick: true,
				mainClass: 'mfp-with-zoom mfp-img-mobile',
				image: {
					verticalFit: true,
					
									
					
					titleSrc: function(item) {
					        
					        
					         var display = '';
					        
					       	
					       	
					       	if(settings.lb_title || settings.lb_download) {
					       		display  += '<h3>';
					       		
					       		if(settings.lb_download) { 
					       			display  += '<a class="lb_download" href="'+ item.el.attr('href') +'" download="' + item.el.attr('title') + '">';
					       		}
					       		
					       		display  += item.el.attr('title');
					       		
					       		if(settings.lb_download) { 
					       			display  += '<span class="icon-download"></span></a>';
					       		}
					       		
					       		display  += '</h3>';
					       		
					       	 } 
					       	 
					       
					       	
					       	if(settings.lb_description) {
					       	    display += '<p>' + item.el.attr('data-desc') + '</p>';
					       }
					       	
					       	if(settings.lb_date || settings.lb_author || settings.lb_link) { 
					       		display += '<p class="lb_meta">';
					       	
					       	if(settings.lb_date !=="undefined") {
					       	    display += '<span>' + item.el.attr('data-date') + '</span>';
					       	}	
					       		
					       	if(settings.lb_author !=="") {
					       		    display += '<span>' + item.el.attr('data-author') + '</span>';
					       	}
					       		
					       	if(typeof settings.lb_link !=='undefined') {
					       		
					       		if(item.el.attr('data-link') !=="") {
					       		    display += '<a class="floatright lb_link" href="' + item.el.attr('data-link') + '">' + item.el.attr('data-link-title');
					       		   	}
					       		}
					       		
					       		display += '</p>';
					       	}
					       	
					       	
					       	// Refer to http://developers.pinterest.com/pin_it/
					        if(settings.pinterest == "1") {
					        	var pinItURL = "http://pinterest.com/pin/create/button/";
					        	pinItURL += '?url=' + settings.path;
					        	pinItURL += '&media=' + encodeURIComponent(item.el.attr('href'));
					        	pinItURL += '&description=' + item.el.attr('title');
					        	display += '<a class="pin-it" href="'+pinItURL+'" target="_blank"><img src="http://assets.pinterest.com/images/pidgets/pin_it_button.png" /></a>';
					        }
					        
					         			   	      	    		        
					        if(settings.facebook == "1") {
					        		display += '<div class="fb-like" data-href="' + item.el.attr('href') + '" data-layout="button_count" data-action="like" data-show-faces="true" data-share="true"></div>';
					        }
					        
					        if(settings.twitter == "1") {
					        		display += '<div class="tweet-this"><a href="https://twitter.com/share" data-url="' + item.el.attr('href') + '" class="twitter-share-button" data-via="' + settings.twitter_name + '" data-text="' + item.el.attr('title') +'">Tweet</a></div><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?"http":"https";if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document, "script", "twitter-wjs");</script>';	
					        } 
					        
					        
					         if(settings.gplus == "1") {
					        display += '<div class="g-plusone" data-size="medium" data-href="' + item.el.attr('href') + '"></div>';
					        
					       
					        display += "<script type='text/javascript'>(function() {var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;po.src = 'https://apis.google.com/js/platform.js';var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);})();<\/script>";
					     	}
					        
					        
					        
					        $.ajax({ url: 'http://platform.twitter.com/widgets.js', dataType: 'script', cache:true});
					        $(document).ajaxComplete(function(){
					            try{
					                FB.XFBML.parse(); 
					            }catch(ex){}
					        });
					        return display;
					}
					
				},
				
				gallery: {
					enabled: true
				},
				zoom: {
					enabled: true,
					duration: 300, // don't foget to change the duration also in CSS
					opener: function(element) {
						return element.find('img');
					}
				},
				callbacks: {
				      open: function() {
				      
				      		try{
				      		    FB.XFBML.parse(); 
				      		}catch(ex){};
				      		
				              
				            },
				            beforeClose: function() {
				             this.wrap.off('click.pinhandler');
				             
				            }
				    },
			});
		} 		
	}
});