<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}

include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php');
include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/logic.php');

$templateId  = $app->getTemplate('template')->id;

$columns = '3';

?>

<?php if ($this->countModules('above-home')) : ?>
<!-- Footer Modules -->
	<div id="above-home-wrap" class="padding">
		<jdoc:include type="modules" name="above-home" style="xhtml" />
	</div>
<?php endif;?>


<ul id="home-grid" class="home <?php if ($this->countModules('above-home')) { ?>nopadding<?php }?>">
	<?php 
		
		$galleries = gallery::getfirstimage($templateId);
		
		if(is_array($galleries)) {
			$i = 0;
			
			foreach($galleries as $key => $gallery) { 
				
				$private = $gallery['private'];
				
				if (($private && !$hide_first_image) || !$private) {
				
					$resized = explode('|', $gallery['image']);
					
					$gallery_url = str_replace(' ','-',$gallery['name']);
				
					$title = str_replace('-',' ',$gallery['name']);
					
					$image = '<img src="'.JURI::base().$resized[0].'" 
						data-src481="'.JURI::base().$resized[1].'" data-src767="'.JURI::base().$resized[1].'" data-src1025="'.JURI::base().$resized[1].'" data-src1280="'.JURI::base().$resized[1].'" data-src1600="'.JURI::base().$resized[1].'"
						title="'.$title.'" alt="'.$title.'" />'; ?>
				
					<li 
						data-gallery="<?php echo $gallery['id'];?>" 
						data-id="<?php echo $gallery_url;?>" 
						class="col-<?php echo $columns;?> <?php if($gallery['featured']){?>featured <?php } if($gallery['private']) {?>private <?php } ?>front gallery-<?php	echo $gallery['id'];?> item-<?php echo $i;?>">
					
						<a href="<?php echo JURI::current();?>#!<?php echo $gallery_url;?>">
							<?php echo $image; ?>
							<h2><?php echo $gallery['name'];?></h2>
						</a>
					</li>
				
			<?php  $i++;
			
			if( $key % 2) { 
				echo '<div class="midclearfix"></div>';
			}
			
			if( $i ==$columns) { 
			
				$i = 0; ?>
			
				<div class="clearfix"></div>
			
			<?php }
			}
		}
	} ?>
</ul>

<?php if ($disqus) {
    include $layout_path . '/disqus.php';
} ?>

<?php if ($this->countModules('below-home')) : ?>
<!-- Footer Modules -->
	<div id="below-home-wrap" class="padding">
		<jdoc:include type="modules" name="below-home" style="xhtml" />
	</div>
<?php endif;?>


<?php include $layout_path.'/bottom-block.php'; ?>