<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}
include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php');
include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/logic.php');

$templateId  = $app->getTemplate('template')->id;

$galleries = gallery::getfirstimage($templateId);

$i = 0;

$featured_pattern = '';
foreach($galleries as $gallery) { 
	if($gallery['featured']) {
		$featured_pattern .= '1';
	} else {
		$featured_pattern .= '0';
	}
}


$photoset_layout = gallery::create_photoset_pattern($featured_pattern);

?>

<?php if ($this->countModules('above-home')) : ?>
<!-- Footer Modules -->
	<div id="above-home-wrap" class="padding">
		<jdoc:include type="modules" name="above-home" style="xhtml" />
	</div>
<?php endif;?>

<div class="home <?php if ($this->countModules('above-home')) { ?>nopadding<?php }?>">
<div class="photoset" data-layout="<?php echo $photoset_layout; ?>">
	<?php foreach($galleries as $gallery) { 
			
			$private = $gallery['private'];
			
			if (($private && !$hide_first_image) || !$private) {
			
				$resized = explode('|', $gallery['image']);
				
				$gallery_url = str_replace(' ','-',$gallery['name']);
			
				$title = str_replace('-',' ',$gallery['name']);
				
				$image = 'src="'.JURI::base().$resized[1].'" 
					data-src481="'.JURI::base().$resized[2].'" data-src767="'.JURI::base().$resized[2].'" data-src1025="'.JURI::base().$resized[2].'" data-src1280="'.JURI::base().$resized[2].'" data-src1600="'.JURI::base().$resized[3].'"
					title="'.$gallery['name'].'" alt="'.$title.'"'; ?>		
			
				<?php if(($gallery['private'] && $hide_first_image) && !gallery::get_user()) { ?>
					
							
				<?php } else { ?>
				<img <?php echo $image; ?>
					data-gallery="<?php echo $gallery['id'];?>" 
					data-id="<?php echo $gallery_url;?>" class="front gallery-<?php	echo $gallery['id'];?>" />
				
				<?php } 
			}
	} ?>

</div>
</div>

<script>
		
		jQuery(document).ready(function ($) {
		
			$('#gallery img').imagesLoaded( function() {
			
				$('.photoset').photosetGrid({
			
					// Set the gutter between columns and rows
					gutter: '5px',
					
					// Wrap the images in links
					//highresLinks: true,
					
					// Asign a common rel attribute
					rel: 'print-gallery',
					
					onInit: function(){},
					
					onComplete: function(){
						
						$(".photoset img").each(function (i) {
							
							var link = $(this).attr('title');
							$(this).wrap("<a href='<?php echo JURI::current();?>#!" + link +"'></a>");
							$(this).parent().append('<h2 class="title-overlay">' + link + '</h2>');
					
						});
				   }
				 });
			});
		});
	</script>
	
	<?php if ($disqus) {
	    include $layout_path . '/disqus.php';
	} ?>
	
	<?php if ($this->countModules('below-home')) : ?>
	<!-- Footer Modules -->
		<div id="below-home-wrap" class="padding">
			<jdoc:include type="modules" name="below-home" style="xhtml" />
		</div>
	<?php endif;?>
	
	<?php include $layout_path.'/bottom-block.php'; ?>