<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}
include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php'); 
include_once (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/logic.php');

$templateId  = $app->getTemplate('template')->id;

?>

	
	<?php if ($this->countModules('above-home')) : ?>
	<!-- Footer Modules -->
		<div id="above-home-wrap" class="padding">
			<jdoc:include type="modules" name="above-home" style="xhtml" />
		</div>
	<?php endif;?>
	
	
	<ul id="slideshow-layout" class="gallery-featured rslides home <?php if ($this->countModules('above-home')) { ?>nopadding<?php }?>">
	
			<?php 
				
				// Get the galleries
				$galleries = gallery::getfirstimage($templateId);
				
				if(is_array($galleries)) {
				
					// Parse through them
					foreach($galleries as $gallery) { 
					
						$private = $gallery['private'];
						
						if (($private && !$hide_first_image) || !$private) {
						
							$resized = explode('|', $gallery['image']);
							$gallery_url = str_replace(' ','-',$gallery['name']);
							$title = str_replace('-',' ',$gallery['name']);
							
							// Image object set based on responsive images
							$image = '<img src="'.JURI::base().$resized[0].'" 
								data-src481="'.JURI::base().$resized[1].'" data-src767="'.JURI::base().$resized[2].'" data-src1025="'.JURI::base().$resized[3].'" data-src1280="'.JURI::base().$resized[3].'" data-src1600="'.JURI::base().$resized[4].'"
								title="'.$title.'" alt="'.$title.'" />';
							
						?>
						
						<li 
							data-gallery="<?php echo $gallery['id'];?>" data-id="<?php echo $gallery_url;?>" 
							class="<?php if($gallery['featured']){?>featured <?php } if($gallery['private']) {?>private <?php } ?>front gallery-<?php echo $gallery['id'];?>">
							<a href="<?php echo JURI::current();?>#!<?php echo $gallery_url;?>">
								
								<?php // If the gallery is private and the first item is hidden
								
									if($gallery['private'] && $hide_first_image) { ?>
									
										
								
								<?php } else { ?>
								
									<?php echo $image; ?>
								
								<?php } ?>
								<h3><?php echo $title; ?></h3>
								</a>
								
						</li>
						
					<?php 
					}
				} 
			}?>
		</ul>

		<!-- Slideshow  Pager -->
		<ul id="thumb-pager">
		  <?php 
		  
		  		if(is_array($galleries)) {
			  		foreach($galleries as $gallery) { 
			  		
			  			$private = $gallery['private'];
			  			
			  			if (($private && !$hide_first_image) || !$private) {
		
					 		$resized = explode('|', $gallery['image']);	  
					 
					 		if(array_key_exists ('6', $resized)) {
					 			$thumb = $resized[6];
							}
							else {
								$thumb = explode('|', $gallery['image']);
					  			$thumb = $thumb[5];
					  		}
					  
					  		echo '<li><a href=""><img src="'. $thumb.'""/></a></li>';
					  	} 
					}
				  }
			 ?>

		</ul>
		
<script>	

jQuery(document).ready(function ($) {
	// Slideshow 4
	$("#slideshow-layout").responsiveSlides({
		auto: true,
	  pager: true,
	  nav: false,
	  speed: 500,
	  namespace: "callbacks",
	  manualControls: '#thumb-pager',
	 
	});
});
</script>

<?php if ($disqus) {
    include $layout_path . '/disqus.php';
} ?>

<?php if ($this->countModules('below-home')) : ?>
<!-- Footer Modules -->
	<div id="below-home-wrap" class="padding">
		<jdoc:include type="modules" name="below-home" style="xhtml" />
	</div>
<?php endif;?>

<?php include $layout_path.'/bottom-block.php'; ?>