<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {

    $layout_type = 'vertical';
    $meta = gallery::get_gallery_content($gallery, $templateId);
    ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>

    <?php if ($meta->show_title) { ?>
        <div class="gallery-main-title">
            <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
        </div>
    <?php } ?>

    <?php include $layout_path . '/social.php'; ?>

    <?php if ($meta->show_description) { ?>
        <div class="gallery-desc">
            <?php echo html_entity_decode($meta->description); ?>
        </div>
    <?php } ?>

    <ul class="grid-1">

        <?php // Get the images

        gallery::getimages($gallery, $id, $layout_type, $lightbox, $download_text, $templateId); ?>

    </ul>



    <script>
        jQuery(document).ready(function ($) {
            $('#gallery-type').attr('class', '');
            $('#gallery-type').addClass('grid-1').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');

            $('html').removeClass('split-screen fullscreen');
        });
    </script>

    <?php // Pagination
    	include $layout_path . '/pagination.php'; ?>
       
        <?php // Disqus
         if ($disqus) { include $layout_path . '/disqus.php'; } ?>
    
        <?php // Gallery bottom Modules
        if ($this->countModules('gallery-bottom')) : ?>
            <div class="padding">
                <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
            </div>
        <?php endif; ?>
    
    <?php } else { 
    	 // Include the noaccess layout
    	include $layout_path . '/notallowed.php'; ?>
    <?php } ?>
    
    <?php include $layout_path . '/bottom-block.php'; ?>